Aug 082014
 

Sponsored Link

Running Zend Guard on your PHP scripts will help encode your scripts to prevent reverse engineering and unauthorized edits to your code, it will also protect your code from unauthorized use, and you can run Zend Guard encoded scripts through Zend Optimizer (with PHP 5.2 and older) to help enhance the performance of your PHP applications as well.

Download a copy of Zend Guard Loader from here . By default PHP 5.4 is installed on debian wheezy so select the package Zend Guard Loader (Runtime for PHP 5.4).

Enter the directory where Zend Guard Loader is located and extract the downloaded package using the following command

#tar zxvf ZendGuardLoader-70429-PHP-5.4-linux-glibc23-x86_64.tar.gz

Now replace with the name of the file downloaded from zend.com

Create a directory where Zend Guard loader will be located

#mkdir /usr/local/lib/Zend

Move the Zend optimizer lib to a permanent location

# mv ZendGuardLoader-70429-PHP-5.4-linux-glibc23-x86_64/php-5.4.x/ZendGuardLoader.so /usr/local/lib/Zend/

The ZendGuardLoader.so may be located in a different location based on the package downloaded from zend.com.

Add these two lines to the bottom of your php.ini to enable Zend Guard Loader

#vi /etc/php5/apache2/php.ini

add the following lines

zend_extension = /usr/local/lib/Zend/ZendGuardLoader.so
zend_loader.enable=1

Save and exit the file

Restart apache2 server using the following command

service apache2 restart

Sponsored Link

 Posted by at 12:01 am

 Leave a Reply

(required)

(required)

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>